import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

const examHomeModule = {
  namespaced: true,
  state: { faceCheckModalOpen: false },
  mutations: {
    toggleFaceCheckModal(state, open) {
      if (open === undefined) {
        state.faceCheckModalOpen = !state.faceCheckModalOpen;
      } else {
        state.faceCheckModalOpen = open;
      }
    }
  },
  actions: {},
  getters: {}
};

let initUser = {};
if (process.env.NODE_ENV !== "production") {
  const userStr = window.localStorage.getItem("user");
  initUser = JSON.parse(userStr);
}

export default new Vuex.Store({
  state: {
    user: initUser
  },
  mutations: {},
  actions: {},
  modules: {
    examHomeModule: examHomeModule
  }
});
